Loading...
Searching...
No Matches
Gfx::VertexCol Struct Reference

Colored vertex. More...

`#include <src/graphics/core/vertex.h>`

## Public Member Functions

| VertexCol (Math::Vector aCoord, Color aColor=Color())
std::string | ToString () const
| Returns a string "(c: [...], col: [...])".

## Public Attributes

Math::Vector | coord
Color | color

## Static Public Attributes

static constexpr VertexType | VERTEX_TYPE = VERTEX_TYPE_COL

## Detailed Description

Colored vertex.

It contains:

- vertex coordinates (x,y,z) as Math::Vector,
- RGBA color as Color

## Member Function Documentation

## ToString()

std::string Gfx::VertexCol::ToString | ( |  | ) | const

inline

Returns a string "(c: [...], col: [...])".

The documentation for this struct was generated from the following file:

- src/graphics/core/vertex.h